
<section id="joinForm">
  <div class="steps_ariane">
    <svg id="arianesvg" class="arianeStep1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 343 72.115"><title>steps</title><circle id="circle1" cx="11.5" cy="60.115" r="11.5"/><g id="letter1"><path d="M14.621,35.749H9.641V5.671l-5.054,3.1V3.62L9.641.251h4.98Z" transform="translate(-0.5 0.115)"/></g><rect id="line" x="11.5" y="59.115" width="321" height="2"/><circle id="circle2" cx="91.5" cy="60.115" r="11.5"/><g id="letter2"><path d="M82.21,31.611l12.378-16.5a12.281,12.281,0,0,0,1.672-2.942,7.82,7.82,0,0,0,.6-2.844V9.272a4.307,4.307,0,0,0-1.245-3.3A4.97,4.97,0,0,0,92.073,4.8a4.878,4.878,0,0,0-3.515,1.282,5.818,5.818,0,0,0-1.636,3.625v.025H81.771V9.711A13.248,13.248,0,0,1,83.565,4.5a9.127,9.127,0,0,1,3.5-3.3A10.448,10.448,0,0,1,92.024.068a12.358,12.358,0,0,1,5.42,1.086,7.637,7.637,0,0,1,3.418,3.162,10.022,10.022,0,0,1,1.172,5.005v.024a11.046,11.046,0,0,1-.781,3.931,16.9,16.9,0,0,1-2.173,3.955L88.8,31.2h13.427v4.736H82.21Z" transform="translate(-0.5 0.115)"/></g><circle id="circle4" cx="251.5" cy="60.615" r="11.5"/><circle id="circle3" cx="171.5" cy="59.615" r="11.5"/><g id="letter3"><path d="M166.983,35.029a8.947,8.947,0,0,1-3.65-3.15,11.362,11.362,0,0,1-1.746-4.968h5.079a5.351,5.351,0,0,0,.952,2.49,4.4,4.4,0,0,0,1.891,1.453,7.151,7.151,0,0,0,2.723.476,5.3,5.3,0,0,0,3.833-1.318,4.916,4.916,0,0,0,1.367-3.711V25.227a5.985,5.985,0,0,0-1.294-4.114,4.651,4.651,0,0,0-3.662-1.453h-2.515V14.924h2.515a4.167,4.167,0,0,0,3.223-1.245,5,5,0,0,0,1.147-3.516v-1.1a4.268,4.268,0,0,0-1.208-3.247,4.794,4.794,0,0,0-3.43-1.147,5.228,5.228,0,0,0-2.271.476,4.35,4.35,0,0,0-1.7,1.465,6.686,6.686,0,0,0-1.013,2.478h-5.054a12.938,12.938,0,0,1,1.843-4.981A9,9,0,0,1,167.447.959a10.208,10.208,0,0,1,4.761-1.074q4.588,0,7.1,2.417a9.005,9.005,0,0,1,2.515,6.811V9.7a7.668,7.668,0,0,1-1.441,4.639,8.138,8.138,0,0,1-4.077,2.881,7.225,7.225,0,0,1,4.5,2.856,9.466,9.466,0,0,1,1.6,5.664v.586a10.94,10.94,0,0,1-1.2,5.3,7.906,7.906,0,0,1-3.478,3.345,12.152,12.152,0,0,1-5.506,1.147A12.031,12.031,0,0,1,166.983,35.029Z" transform="translate(-0.5 0.115)"/></g><g id="letter4"><path d="M240.586,25.959,252.5.251h5.127L246.006,25.666h17.408V30.28H240.586Zm15.308-11.108h4.858v20.9h-4.858Z" transform="translate(-0.5 0.115)"/></g><circle id="circle5" cx="331.5" cy="60.615" r="11.5"/><g id="letter5"><path d="M327.349,34.882a8.562,8.562,0,0,1-3.3-3.051,12.078,12.078,0,0,1-1.7-4.81V27h4.981v.024a4.671,4.671,0,0,0,1.465,3.04,4.594,4.594,0,0,0,3.174,1.086,4.271,4.271,0,0,0,3.455-1.465,6.271,6.271,0,0,0,1.232-4.15V21.577a6.5,6.5,0,0,0-1.16-4.126,3.944,3.944,0,0,0-3.283-1.465,4.663,4.663,0,0,0-2.466.732,6.728,6.728,0,0,0-2.075,2.051h-4.541V.068h17.48V4.8h-12.5v7.984a7.656,7.656,0,0,1,2.283-1.172,8.3,8.3,0,0,1,2.576-.415,7.883,7.883,0,0,1,6.4,2.71q2.271,2.709,2.271,7.666v3.955a12.765,12.765,0,0,1-1.135,5.627,7.961,7.961,0,0,1-3.309,3.552,10.507,10.507,0,0,1-5.224,1.221A9.862,9.862,0,0,1,327.349,34.882Z" transform="translate(-0.5 0.115)"/></g></svg>
  </div>
  <section id="joinSteps">
    <div id="firstStep">
      <p class="stepTitle">Pour rejoindre le BDE (devenir membre), remplis ce formulaire qui servira l'équipe à mieux te connaitre et à te contacter pour les futurs events (COVID 🤞)</p>
      <p class="stepSubTitle">D'abord il nous faudra ton adresse étudiante (celle que tu lis une fois par an à peu près)</p>
      <input class="joinInput" type="text" placeholder="Adresse @etud.univ-tln.fr" value="prenom-nom@etud.univ-tln.fr" name="emailUniv">
      <div class="joinNext">La suite !</div>
    </div>
    <div id="secondStep">
      <p class="stepTitle">Ensuite, d'autres infos plus utiles..</p>
      <p class="stepSubTitle">ne t'inquiète pas ça va bien s'passer</p>
      <input class="joinInput" type="text" placeholder="Prénom" name="prenom">
      <input class="joinInput" type="text" placeholder="Nom" name="nom">

      <select class="joinInput" name="annee">
        <option value="" disabled selected>Année</option>
        <option value="1">Première année</option>
        <option value="2">Deuxième année</option>
      </select>

      <select class="joinInput" name="groupe">
        <option value="" disabled selected>Groupe</option>
        <option value="APP">APP (l'élite)</option>
        <option value="A">A</option>
        <option value="B">B</option>
        <option value="C">C</option>
        <option value="D">D</option>
        <option value="E">E</option>
        <option value="F">F</option>
        <option value="G">G</option>
        <option value="H">H</option>
      </select>

      <input class="joinInput" type="email" placeholder="Mail de contact (ou courriel pour les boomers)" name="email">
      
      <select class="joinInput"  name="genre">
        <option value="0">GEIIen</option>
        <option value="1">GEIIenne</option>
        <option value="2">GEII non binaire (maitre K en PLS)</option>
      </select>
      <p class="formLabel">Date de naissance</p>
      <input class="joinInput" type="date" placeholder="Date de naissance" name="dateNaissance">
      <div class="joinNext">La suite vite !</div>
    </div>
    <div id="thirdStep">
      <p class="stepTitle">Règlement du Discord</p>
      <p class="stepSubTitle">Pour garantir la joie et la bonne humeur, respecter les règles suivantes tu devras..</p>
      <ul id="discordRules">
        <li>Politesse et courtoisie de rigueur (pas d'insultes etc..) tu connais</li>
        <li>On évite de @mention inutilement que ce soit le staff ou d'autres membres</li>
        <li>Pas de pub / invite pour autres serveurs</li>
        <li>Pas de spam/flood</li>
        <li>SFW-only</li>
      </ul>
      <div class="joinNext">C'est compris chef</div>
    </div>
    <div id="fourthStep">
      <p class="stepTitle">Notez ce formulaire de malade</p>
      <select class="joinInput" name="note">
        <option value="1">10/10</option>
        <option value="2">10.5/10</option>
        <option value="3">11/10</option>
      </select>
      <div class="joinNext">La suite 👿 !</div>
    </div>
    <div id="fifthStep">
      <div id="joinEnd"></div>
      <p class="stepTitle">Inscription terminée</p>
      <p class="stepSubTitle">Le voyage long et périlleux est terminé</p>
      <p>Tu recevras un message de confirmation sur le Discord quand l'équipe du BDE aura vérifié ton inscription</p>
    </div>
  </section>
</section>
<script>
  const ariane = document.querySelector("#arianesvg");

  const buttons = [
    document.querySelector("#firstStep .joinNext"),
    document.querySelector("#secondStep .joinNext"),
    document.querySelector("#thirdStep .joinNext"),
    document.querySelector("#fourthStep .joinNext"),
    document.querySelector("#fifthStep .joinNext")
  ];

  const steps = [
    document.querySelector("#firstStep"),
    document.querySelector("#secondStep"),
    document.querySelector("#thirdStep"),
    document.querySelector("#fourthStep"),
    document.querySelector("#fifthStep")
  ];

  const inputs = {
    etudEmail: document.querySelector("input[name=emailUniv]"),
    prenom: document.querySelector("input[name=prenom]"),
    nom: document.querySelector("input[name=nom]"),
    annee: document.querySelector("select[name=annee]"),
    groupe: document.querySelector("select[name=groupe]"),
    email: document.querySelector("input[name=email]"),
    genre: document.querySelector("select[name=genre]"),
    dateNaissance: document.querySelector("input[name=dateNaissance]"),
    note: document.querySelector("select[name=note]")
  }

  buttons[0].addEventListener("click", () => {
    if(inputs.etudEmail.value == "prenom-nom@etud.univ-tln.fr") {
      inputs.etudEmail.classList.add("inputIssue");
      return;
    }

    if(!/[A-z0-9\-]{2,50}@etud\.univ-tln\.fr/.test(inputs.etudEmail.value)) {
      inputs.etudEmail.classList.add("inputIssue");
      return;
    }

    inputs.etudEmail.classList.remove("inputIssue");

    ariane.classList.remove("arianeStep1");
    ariane.classList.add("arianeStep2");
    steps[0].style.display = "none";
    steps[1].style.display = "block";
  });

  buttons[1].addEventListener("click", () => {
    inputs.prenom.classList.remove("inputIssue");
    inputs.nom.classList.remove("inputIssue");
    inputs.annee.classList.remove("inputIssue");
    inputs.groupe.classList.remove("inputIssue");
    inputs.email.classList.remove("inputIssue");

    if(inputs.prenom.value == "") {
      inputs.prenom.classList.add("inputIssue");
      return;
    }

    if(inputs.nom.value == "") {
      inputs.nom.classList.add("inputIssue");
      return;
    }

    if(inputs.annee.value == "") {
      inputs.annee.classList.add("inputIssue");
      return;
    }

    if(inputs.groupe.value == "") {
      inputs.groupe.classList.add("inputIssue");
      return;
    }

    if(inputs.email.value == "") {
      inputs.email.classList.add("inputIssue");
      return;
    }

    if(inputs.dateNaissance.value == "") {
      inputs.dateNaissance.classList.add("inputIssue");
      return;
    }

    ariane.classList.remove("arianeStep2");
    ariane.classList.add("arianeStep3");
    steps[1].style.display = "none";
    steps[2].style.display = "block";
  });

  buttons[2].addEventListener("click", () => {
    ariane.classList.remove("arianeStep3");
    ariane.classList.add("arianeStep4");
    steps[2].style.display = "none";
    steps[3].style.display = "block";
  });

  buttons[3].addEventListener("click", async () => {
    ariane.classList.remove("arianeStep4");
    ariane.classList.add("arianeStep5");
    steps[3].style.display = "none";
    steps[4].style.display = "block";

    const rawResponse = await fetch('/formulaire', {
      method: 'POST',
      headers: {
        'Accept': 'application/json',
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        etudEmail: inputs.etudEmail.value,
        prenom: inputs.prenom.value,
        nom: inputs.nom.value,
        annee: inputs.annee.value,
        groupe: inputs.groupe.value,
        email: inputs.email.value,
        genre: inputs.genre.value,
        dateNaissance: inputs.dateNaissance.value,
        note: inputs.note.value,
        jeton: `{{jeton}}`,
        id: `{{id}}`
      })
    });
    const content = await rawResponse.json();
  });
</script>